Subject: [DNSOP] Review of draft-ietf-dnsop-resolver-priming-04

From: Hosnieh Rafiee <[email-masked]>
Date: Fri, 12 Sep 2014 11:27:15 +0000

Hi,

I reviewed this draft and found it interesting and useful.

Some questions/comments:

Section 3.3 
IPv6 address is 16 octets (bytes) and IPv4 is 4 octets (bytes)

Why the combination of 13 root servers IP4 and IPv6 is  13 * (16 + 28) == 572? What else you considered in the calculation so that it is 28 octets ? 

"  particular server that appears at all.  In other words: if the
   additional section only has an A RRSet for a server, the resolver
   SHOULD assume that no AAAA RRSet exists.  This is to avoid repeated
   unnecessary queries for names of name servers that do not or not yet
   offer IPv6 service, or, in perspective, will have ceased IPv4
   service."

When a new DNS server supports IPv6, when this value is updated in the resolver by the algorithm? Is it in next query? Because what I understood from the draft, per day, a node only once sends priming query. 

Section 4. 
"  All DNS root name servers need to be able to provide for all
   addresses of all root name servers.  This can easily achieved by
   keeping all root name server names in a single zone and by making all
   root name servers authoritative for that zone."

I am not in DNS operation. But does it really operationally possible (performance or other factors)? I don't know exactly how many root servers available. 

" If the response packet does not provide for more than 512 octets due
   to lack of EDNS0 support, A RRSets SHOULD be given preference over
   AAAA RRSets when filling the additional section."
How the preference algorithm work? Top on the list is chosen? Random chosen? 
What if the chosen server is compromised? (Murphy law...) (probably it is considered out of scope ?? because it appears that the algorithm trust the data received from other sources)

Best,
Hosnieh

---

From: Chris Thompson <[email-masked]>
Date: 15 Sep 2014 12:33:27 +0100

On Sep 12 2014, Hosnieh Rafiee wrote:

>Why the combination of 13 root servers IP4 and IPv6 is  13 * (16 + 28) == 572?
>What else you considered in the calculation so that it is 28 octets ?

Presumably

  2 octets for a maximally compressed name (as it has already occurred
           in the NS RRset)
  2 octets for the type
  2 octets for the class
  4 octets for the TTL
  2 octets for the RDATA length field

for a 12-octet overhead. Maybe a reference to RFC 1035 section 3.2.1
is needed to clarify? (although this 12-octet minimum overhead is
rather "well known")

-- 
Chris Thompson               University of Cambridge Information Services,
Email: [email-masked]    Roger Needham Building, 7 JJ Thomson Avenue,
Phone: +44 1223 334715       Cambridge CB3 0RB, United Kingdom.

---

From: Hosnieh Rafiee <[email-masked]>
Date: Mon, 15 Sep 2014 11:43:32 +0000

> for a 12-octet overhead. Maybe a reference to RFC 1035 section 3.2.1 is
> needed to clarify? (although this 12-octet minimum overhead is rather
> "well known")

I guess yes. Because in your text it appears that you only considered that combination but actually you meant the whole message and it was a bit confusing.

Best,
Hosnieh